# Class Egg

- Defined in src/data/egg.ts:15

#####
Index

### Constructors

constructor

### Properties

gachaType
hatchWaves
id
tier
timestamp

### Methods

getKey
isManaphyEgg

## Constructors

### constructor

- new Egg(id, gachaType, hatchWaves, timestamp): Egg

- #### Parameters

  - id: number
  - gachaType: GachaType
  - hatchWaves: number
  - timestamp: number

  #### Returns Egg

  - Defined in src/data/egg.ts:22

## Properties

### gachaType

gachaType: GachaType

- Defined in src/data/egg.ts:18

### hatchWaves

hatchWaves: number

- Defined in src/data/egg.ts:19

### id

id: number

- Defined in src/data/egg.ts:16

### tier

tier: EggTier

- Defined in src/data/egg.ts:17

### timestamp

timestamp: number

- Defined in src/data/egg.ts:20

## Methods

### getKey

- getKey(): string

- #### Returns string

  - Defined in src/data/egg.ts:34

### isManaphyEgg

- isManaphyEgg(): boolean

- #### Returns boolean

  - Defined in src/data/egg.ts:30